Documentation for Axxon PSIM 1.0.0-1.0.1.

Previous page Next page


General request format:

PUT http://IP address:port/web2/secure/configuration/{objectClass}:{id}/state/actions/command/execute

{ } //mandatory request body

Note

To avoid the 415 Unsupported Media Type error, the request must contain a body or an empty body { } in JSON format.

Request parameters:

Parameter

Required

Description

objectClassYesName of object class
idYesObject ID
commandYes

Command, for example, DISARM

Attention! The command name must be in uppercase

Request example:

PUT http://127.0.0.1:8085/web2/secure/configuration/GRAY:2/state/actions/DISARM/execute

{ } //mandatory (empty) request body


Example of a request to set a new value for a parameter:

PUT http://1:1@127.0.0.1:8085/web2/secure/configuration/SLAVE:A-KHAGOZHEEV/state/actions/ACTIVATE_DISPLAY/execute

{
 "display_id": "2" //switches Display, mandatory request body
 }


  • No labels